uart_remove_one_port
Prev | Chapter 25. 16x50 UART Driver | Next

## Name

uart_remove_one_port — detach a driver defined port structure

## Synopsis

`int uart_remove_one_port (` | struct uart_driver * | drv,
| struct uart_port * | port`)`;

## Arguments

`drv`

  pointer to the uart low level driver structure for this port

`port`

  uart port structure for this port

## Description

This unhooks (and hangs up) the specified port structure from the core driver. No further calls will be made to the low-level code for this port.

Prev | Up | Next
uart_add_one_port | Home | serial8250_suspend_port